## com.lowagie.bc.asn1
Class BERConstructedOctetString

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1OctetString
              com.lowagie.bc.asn1.DEROctetString
                  com.lowagie.bc.asn1.BERConstructedOctetString

All Implemented Interfaces:
  DEREncodable, DERTags

public class BERConstructedOctetString
extends DEROctetString

Field Summary
`private Vector` `octs`

Fields inherited from class com.lowagie.bc.asn1.ASN1OctetString
`string`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`BERConstructedOctetString(byte[] string)`
`BERConstructedOctetString(DEREncodable obj)`
`BERConstructedOctetString(DERObject obj)`
`BERConstructedOctetString(Vector octs)`

Method Summary
`void` `encode(DEROutputStream out)`
`private Vector` `generateOcts()`
`Enumeration` `getObjects()` return the DER octets that make up this string.
`byte[]` `getOctets()`
`private static byte[]` `toBytes(Vector octs)` convert a vector of octet strings into a single byte string

Methods inherited from class com.lowagie.bc.asn1.ASN1OctetString
`equals, getInstance, getInstance, hashCode`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### octs

    private Vector octs

Constructor Detail

### BERConstructedOctetString

    public BERConstructedOctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

### BERConstructedOctetString

    public BERConstructedOctetString(Vector octs)

### BERConstructedOctetString

    public BERConstructedOctetString(DERObject obj)

### BERConstructedOctetString

    public BERConstructedOctetString(DEREncodable obj)

Method Detail

### toBytes

    private static byte[] toBytes(Vector octs)

  convert a vector of octet strings into a single byte string

### getOctets

    public byte[] getOctets()

  Overrides:
    `getOctets` in class `ASN1OctetString`

### getObjects

    public Enumeration getObjects()

  return the DER octets that make up this string.

### generateOcts

    private Vector generateOcts()

### encode

    public void encode(DEROutputStream out)
                throws IOException

  Overrides:
    `encode` in class `DEROctetString`
  Throws:
    `IOException`